<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Especificidade CSS</title>
    <style>
        /* https://developer.mozilla.org/pt-BR/docs/Web/CSS/Specificity */
        /* 
            Em linhas gerais: 
            
            1. regra com !important
            2. seletores mais especificos
            3. último regra processada(empate)
        */

        /* 3º */
        p {
            background-color: #aaa;
        }

        /* 2º */
        .observacao {
            background: lime !important;
            border: dashed 5px;
            padding: 200px;
            font-size: 40px;
        }

        /* 1º sem espaço */
        p.observacao {
            padding: 2px;
            background: linear-gradient(to right, red, rgb(9, 30, 224));
        }
    </style>
</head>

<body>
    <p class='observacao'>Olha essa observação!!!!</p>
</body>

</html>